Skip to main content
POST
/
agents
/
invitations
/
revoke
Revoke pending agent delegation invitations
curl --request POST \
  --url https://api.natural.co/agents/invitations/revoke \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "invitationIds": [
        "adi_550e8400e29b41d4a716446655440000",
        "adi_660f9500f30c52e5b827557766551111"
      ]
    }
  }
}
'
{
  "revokedCount": 2
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Body

application/json
data
object
required

Resource object

Response

Successful Response

revokedCount
integer
required

Number of invitations revoked